#
# Cookbook Name:: forge_server
# Recipe:: default
#
# Copyright:: 2016, Stefan Wendler
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
## Default Recipe
#

rc_script_name = node['forge_server']['rc_d']['name']

chef_gem 'json' do
  compile_time false
end

chef_gem "gzipped_tar" do
  compile_time false
  version " ~> 0.0.4"
end

include_recipe 'forge_server::install'
include_recipe 'forge_server::mods'
include_recipe 'forge_server::apache'
include_recipe 'forge_server::forge_pack' if node['forge_server']['generate_new_forge_pack']

service rc_script_name do
  supports start: true, stop: true, restart: true
  action node['forge_server']['start_server'] ? [:enable, :start] : [:disable]
end

include_recipe 'forge_server::auto_restart'

ruby_block 'set_version_info' do
  block do
    node.normal['forge_server']['installed']['version'] = node['forge_server']['installer']['version']
  end
end




